=== tests/CMakeLists.txt ===
include_directories(${PROJECT_SOURCE_DIR}/src)
