=== debian/changelog ===
danmaq (0.2.3.1-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:12:19 +0100

danmaq (0.2.3.1-5) unstable; urgency=medium

  * debian/patches/backport: Backport upstream patches till
    2018-06-20.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Bump debhelper compat to v12.
    + Use "Rules-Requires-Root: no".

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Nov 2019 11:10:15 -0500

danmaq (0.2.3.1-4) unstable; urgency=medium

  * Update my uploader email address and use the @debian.org one.
  * Bump Standards-Version to 4.2.1 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Aug 2018 13:17:17 -0400

danmaq (0.2.3.1-3) unstable; urgency=medium

  * Revert maintainer address back to chinese-developers@lists.a.d.o.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 22 Jun 2018 20:23:04 +0800

danmaq (0.2.3.1-2) unstable; urgency=medium

  * Use team+chinese@tracker.debian.org in maintainer address.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Bump debhelper compat to v11.
  * Migrate packaging repository to Salsa platform.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 18 Apr 2018 16:12:31 +0800

danmaq (0.2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 19 Nov 2017 20:58:58 +0800

danmaq (0.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Added i18n/l10n support.
  * Drop desktop file and man page in debian dir; shipped by upstream.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 11 Nov 2017 13:43:34 +0800

danmaq (0.2.2-1) unstable; urgency=low

  * Initial release. Closes: #878788

 -- Boyuan Yang <073plan@gmail.com>  Tue, 17 Oct 2017 15:14:09 +0800
