=== debian/control ===
Source: danmaq
Section: misc
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 12),
 libqt5x11extras5-dev,
 qtbase5-dev (>= 5.6~),
 qttools5-dev,
 qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://github.com/tuna/danmaQ
Vcs-Git: https://salsa.debian.org/chinese-team/danmaq.git
Vcs-Browser: https://salsa.debian.org/chinese-team/danmaq

Package: danmaq
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Small client side Qt program to play danmaku on any screen
 DanmaQ is a desktop danmaku client. It is used to display danmaku strings.
 .
 "danmaku", originally a Japanese word, is a certain method of instant
 commenting over the Internet. It originated in Japan and became
 popular in East Asian cultural circle. In this case, People write comments
 and send them to a danmaku server. The server will push comments to
 danmaku clients connected to it, where comments are displayed on a real-time
 basis. Comment strings will fly over the screen with artistic effects.
 .
 This package provides a danmaku client program implemented in Qt5.
