## danmaq 0.2.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,13 @@
 
 option(ENABLE_TEST "Enable test program build" Off)
 
-set(VERSION "0.2.3.1")
+set(VERSION "0.2.3.2")
+
+set(CMAKE_CXX_STANDARD 14)
+
+IF (WIN32 AND NOT MINGW AND NOT CYGWIN)
+	set(CMAKE_PREFIX_PATH "$ENV{QTDIR} ${CMAKE_PREFIX_PATH}")
+ENDIF()
 
 # From https://github.com/Homebrew/homebrew-core/issues/8392
 if(APPLE AND EXISTS /usr/local/opt/qt)
@@ -18,10 +24,15 @@
 find_package(Qt5Widgets)
 find_package(Qt5Network)
 
+
 IF (UNIX)
-        set(CMAKE_CXX_FLAGS "-Wall --std=c++11 ${CMAKE_CXX_FLAGS}")
+        set(CMAKE_CXX_FLAGS "-Wall ${CMAKE_CXX_FLAGS}")
 ENDIF ()
 
+IF (WIN32 AND NOT MINGW AND NOT CYGWIN)
+	set(CMAKE_CXX_FLAGS "/permissive- /MP ${CMAKE_CXX_FLAGS}")
+	SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /SUBSYSTEM:WINDOWS /ENTRY:\"mainCRTStartup\"")
+ENDIF()
 
 if (APPLE)
     add_custom_command(
