=== man/CMakeLists.txt ===
SET(MAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/danmaQ.1)

ADD_CUSTOM_COMMAND(
  COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/danmaQ.1 ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.1
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/danmaQ.1
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.1
)

IF (UNIX)
    ADD_CUSTOM_TARGET(man ALL DEPENDS ${MAN_FILES})
    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.1 DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)
ENDIF()
