=== debian/changelog ===
danmaq (0.2.3.2-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:43:37 +1100

danmaq (0.2.3.2-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:10:14 +0000

danmaq (0.2.3.2-2) unstable; urgency=medium

  [ xiao sheng wen ]
  * Team upload
  * add d/clean, Closes: #1044310
  * Bump Standards-Version: 4.6.2
  * d/copyright: update year info to 2023

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on qtbase5-dev.

 -- xiao sheng wen <atzlinux@sina.com>  Tue, 15 Aug 2023 18:11:12 +0800

danmaq (0.2.3.2-1) unstable; urgency=medium

  * New upstream release 0.2.3.2.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 May 2020 10:44:40 -0400
