=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: danmaq
 Section: misc
 Priority: optional
-Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libqt5x11extras5-dev,
- qtbase5-dev (>= 5.6~),
+ qtbase5-dev,
  qttools5-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/tuna/danmaQ
 Vcs-Git: https://salsa.debian.org/chinese-team/danmaq.git
 Vcs-Browser: https://salsa.debian.org/chinese-team/danmaq
