## danmaq 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,36 +1,26 @@
-﻿cmake_minimum_required(VERSION 2.8.11)
+﻿cmake_minimum_required(VERSION 3.16)
 
 PROJECT(danmaQ)
 
 option(ENABLE_TEST "Enable test program build" Off)
 
-set(VERSION "0.2.3.2")
+set(VERSION "0.3.0")
 
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_EXPORT_COMPILE_COMMANDS True)
 
 IF (WIN32 AND NOT MINGW AND NOT CYGWIN)
 	set(CMAKE_PREFIX_PATH "$ENV{QTDIR} ${CMAKE_PREFIX_PATH}")
 ENDIF()
 
-# From https://github.com/Homebrew/homebrew-core/issues/8392
-if(APPLE AND EXISTS /usr/local/opt/qt)
-	# Because Qt5 is key-only, Homebrew installs Qt5 in
-	# /usr/local/qt5, ensure it can be found by CMake since
-	# it is not in the default /usr/local prefix.
-	list(APPEND CMAKE_PREFIX_PATH "/usr/local/opt/qt")
-endif()
-
-find_package(Qt5Core)
-find_package(Qt5Widgets)
-find_package(Qt5Network)
-
+find_package(Qt6 REQUIRED COMPONENTS Core Widgets WebEngineWidgets LinguistTools)
 
 IF (UNIX)
         set(CMAKE_CXX_FLAGS "-Wall ${CMAKE_CXX_FLAGS}")
 ENDIF ()
 
 IF (WIN32 AND NOT MINGW AND NOT CYGWIN)
-	set(CMAKE_CXX_FLAGS "/permissive- /MP ${CMAKE_CXX_FLAGS}")
+	set(CMAKE_CXX_FLAGS "/permissive- /MP /DNOMINMAX ${CMAKE_CXX_FLAGS}")
 	SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /SUBSYSTEM:WINDOWS /ENTRY:\"mainCRTStartup\"")
 ENDIF()
 
@@ -49,7 +39,6 @@
             COMMAND sips -z 512 512 icon.png --out Icon.iconset/icon_512x512.png
             COMMAND sips -z 1024 1024 icon.png --out Icon.iconset/icon_512x512@2x.png
             COMMAND iconutil -c icns Icon.iconset
-            COMMAND mkdir -p ${CMAKE_PROJECT_NAME}.app/Contents/Resources
             DEPENDS ${CMAKE_SOURCE_DIR}/src/icons/statusicon.png
             OUTPUT ${CMAKE_BINARY_DIR}/Icon.icns
     )
@@ -58,15 +47,17 @@
             COMMAND cp -r ${CMAKE_SOURCE_DIR}/macOS/Info.plist ${CMAKE_PROJECT_NAME}.app/Contents/Info.plist
             COMMAND cp src/${CMAKE_PROJECT_NAME} ${CMAKE_PROJECT_NAME}.app/Contents/MacOS/
             COMMAND sed -i.bak 's/VERSION/${VERSION}/g' ${CMAKE_PROJECT_NAME}.app/Contents/Info.plist
+            COMMAND mkdir -p ${CMAKE_PROJECT_NAME}.app/Contents/Resources
+            COMMAND touch ${CMAKE_PROJECT_NAME}.app/Contents/Resources/empty.lproj
             COMMAND cp Icon.icns ${CMAKE_PROJECT_NAME}.app/Contents/Resources/
-            COMMAND /usr/local/opt/qt/bin/macdeployqt ${CMAKE_PROJECT_NAME}.app -no-strip
+            COMMAND macdeployqt ${CMAKE_PROJECT_NAME}.app -no-strip
             DEPENDS ${CMAKE_BINARY_DIR}/src/${CMAKE_PROJECT_NAME}
             DEPENDS ${CMAKE_BINARY_DIR}/Icon.icns
             OUTPUT ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}.app
     )
     add_custom_command(
             COMMAND cp -r ${CMAKE_PROJECT_NAME}.app ${CMAKE_PROJECT_NAME}.app.bak
-            COMMAND /usr/local/opt/qt/bin/macdeployqt ${CMAKE_PROJECT_NAME}.app -dmg
+            COMMAND macdeployqt ${CMAKE_PROJECT_NAME}.app -dmg
             COMMAND rm -rf ${CMAKE_PROJECT_NAME}.app
             COMMAND mv ${CMAKE_PROJECT_NAME}.app.bak ${CMAKE_PROJECT_NAME}.app
             DEPENDS ${CMAKE_BINARY_DIR}/${CMAKE_PROJECT_NAME}.app
