=== man/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 SET(MAN_FILES ${CMAKE_CURRENT_BINARY_DIR}/danmaQ.1)
 
 ADD_CUSTOM_COMMAND(
-  COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/danmaQ.1 ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.1
-  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/danmaQ.1
+  COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/danmaQ ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.1
+  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/danmaQ
   OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.1
 )
