=== debian/changelog ===
danmaq (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0 (closes: #1091543).
  * d/{control,rules}: use Qt6 and ninja to build.
  * d/control:
    + adopt the package (closes: #1093662).
    + bump std-ver to 4.7.2 (no changes required).
  * d/missing-sources: add source for socket.io.js.
  * d/copyright:
    + update author year and add FSFAP.
    + add expat license for socket.io.js.

 -- Shengqi Chen <harry@debian.org>  Fri, 11 Apr 2025 14:22:22 +0800

danmaq (0.2.3.2-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1093662)

 -- Boyuan Yang <byang@debian.org>  Mon, 20 Jan 2025 19:38:50 -0500
