=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: danmaq
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
+Maintainer: Shengqi Chen <harry@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- libqt5x11extras5-dev,
- qtbase5-dev,
- qttools5-dev,
- qttools5-dev-tools,
+ ninja-build,
+ qt6-base-dev,
+ qt6-webengine-dev,
+ qt6-tools-dev,
+ qt6-tools-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/tuna/danmaQ
-Vcs-Git: https://salsa.debian.org/chinese-team/danmaq.git
-Vcs-Browser: https://salsa.debian.org/chinese-team/danmaq
+Vcs-Git: https://salsa.debian.org/debian/danmaq.git
+Vcs-Browser: https://salsa.debian.org/debian/danmaq
 
 Package: danmaq
 Architecture: any
