=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,11 @@
 # # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND =
 
-export QT_SELECT := 5
+export QT_SELECT := 6
 
 %:
-	dh $@
+	dh $@ --buildsystem=cmake+ninja
+
+# no tests provided by upstream
+override_dh_auto_test:
+
