=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%danmaq-$1.tar.gz%" \
 https://github.com/tuna/danmaq/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
